<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Client extends Model
{
    use HasFactory;

    protected $fillable = ['name', 'company_name', 'email', 'phone'];

    // Relación: Un cliente tiene muchas compras (ventas)
    public function sales()
    {
        return $this->hasMany(Sale::class);
    }
}